/**
 * @function _tmpl
 * @private
 */

'use strict'

const fs = require('fs')
const assert = require('assert')
const types = require('./types')

/** @lends _tmpl */
function _tmpl (type) {
  let filename = types[ type ] || types[ 'default' ]
  return fs.readFileSync(__dirname + '/../' + filename).toString()
}

module.exports = _tmpl
